SDL_ELF_NOTE_DLOPEN_PRIORITY_REQUIRED(3)

NAME
SDL_ELF_NOTE_DLOPEN_PRIORITY_REQUIRED - Use this macro with SDL_ELF_NOTE_DLOPEN() to note that a dynamic shared library dependency is required.

SYNOPSIS
#include <SDL3/SDL_dlopennote.h>

#define SDL_ELF_NOTE_DLOPEN_PRIORITY_REQUIRED    "required"

DESCRIPTION
Core functionality needs the dependency, the binary will not work if it cannot be found.

AVAILABILITY
This macro is available since SDL 3.4.0.

SEE ALSO
SDL_ELF_NOTE_DLOPEN(3), SDL_ELF_NOTE_DLOPEN_PRIORITY_SUGGESTED(3), SDL_ELF_NOTE_DLOPEN_PRIORITY_RECOMMENDED(3)